stages:
  - deploy
  - website

repository:
  stage: deploy
  image: gradle:8.5.0-jdk11-alpine
  script:
    - gradle publish
  only:
    - '/\A[0-9]+.[0-9]+.[0-9]+(.*|dev[0-9]*)\z/'


javadocs:
  stage: deploy
  image: gradle:8.5.0-jdk11-alpine
  script:
    - gradle javadoc
  only:
    - '/\A[0-9]+.[0-9]+.[0-9]+(.*|dev[0-9]*)\z/'
  artifacts:
    paths:
    - build/docs/javadoc

pages:
  stage: website
  image: python:3-alpine
  dependencies:
    - javadocs
  script:
    - pip install --upgrade pip
    - pip install mkdocs
    - cd web
    - mv ../build/docs/javadoc docs/javadocs
    - mkdocs build
    - mv site ../public
  artifacts:
    paths:
    - public
  only:
    - '/\A[0-9]+.[0-9]+.[0-9]+(.*|dev[0-9]*)\z/'
